Subject: [Netconf] How to grep through a YANG? With grepyang

From: [email-masked]
Date: Sun, 25 Mar 2018 00:55:41 +0100

Hello members,

I have put on Github 'grepyang'  
(https://github.com/ariel-anieli/grepyang.git), a script that greps  
through a YANG, and extracts snippets matching a key, it seems 'pyang'  
does not have that feature; for example:

# ./grepyang cancel-commit [email-masked]
853:  rpc cancel-commit {
854:    if-feature confirmed-commit;
855:    description
856:      "This operation is used to cancel an ongoing confirmed commit.
857:       If the confirmed commit is persistent, the parameter
858:       'persist-id' must be given, and it must match the value of the
859:       'persist' parameter.";
860:    reference "RFC 6241, Section 8.4.4.1";
861:
862:    input {
863:      leaf persist-id {
864:        type string;
865:        description
866:          "This parameter is given in order to cancel a persistent
867:           confirmed commit.  The value must be equal to the value
868:           given in the 'persist' parameter to the <commit> operation.
869:           If it does not match, the operation fails with an
870:          'invalid-value' error.";
871:      }
872:    }
873:  }

If you have any feedback, please, do so: I will improve the tool from it.

Regards,
Ariel

-------------------------------------------------------------------------------
This message was sent using EURECOM Webmail: http://webmail.eurecom.fr

---

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Mon, 26 Mar 2018 11:18:14 +0200

Looks like an interesting too.

Bert

On 25/03/2018 00:55, [email-masked] wrote:
> Hello members,
>
> I have put on Github 'grepyang' (https://github.com/ariel-anieli/grepyang.git), a script that greps through a YANG, and extracts 
> snippets matching a key, it seems 'pyang' does not have that feature; for example:
>
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>

---

From: [email-masked]
Date: Mon, 26 Mar 2018 11:37:01 +0200

Thanks, Bert;
If, by playing around with the tool, you come across a behaviour you  
did not like, or a feature you would like to be in, please, open an  
issue (https://github.com/ariel-anieli/grepyang): I will improve on it.

Regards,
Ariel

Quoting "Bert Wijnen (IETF)" <[email-masked]>:

>>  through a YANG, and extracts snippets matching a key, it seems   
>> 'pyang' does not have that feature; for example:
>>